do

--create an instance of the IADS
CyprusIADS= SkynetIADS:create('Cyprus IADS')


--Powerstations

powerSource_Power_Station_1 = StaticObject.getByName('Power Plant-1')
powerSource_Power_Station_2 = StaticObject.getByName('Power Plant-2')
powerSource_Power_Station_3 = StaticObject.getByName('Power Plant-3')
powerSource_Power_Station_4 = StaticObject.getByName('Power Plant-4')
powerSource_Power_Station_5 = StaticObject.getByName('Power Plant-5')
powerSource_Power_Station_6 = StaticObject.getByName('Power Plant-6')
powerSource_Power_Station_7 = StaticObject.getByName('Power Plant-7')
powerSource_Power_Station_8 = StaticObject.getByName('Power Plant-8')


--Nodes
connectionNode_S = StaticObject.getByName('Cyprus Node S')
connectionNode_C = StaticObject.getByName('Cyprus Node C')
connectionNode_E = StaticObject.getByName('Cyprus Node E')
connectionNode_W = StaticObject.getByName('Cyprus Node W')

--Command Centers
commandCenter_Cyprus_Central = StaticObject.getByName("Cyprus Central C2")


--PD Forces
--SA_5_PD= CyprusIADS:getSAMSiteByGroupName('SAM_SA-15-6')

--debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
--local iadsDebug = redIADS:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.samWentDark = true
--iadsDebug.contacts = true
--iadsDebug.radarWentLive = true
--iadsDebug.noWorkingCommmandCenter = false
--iadsDebug.ewRadarNoConnection = false
--iadsDebug.samNoConnection = false
--iadsDebug.jammerProbability = true
--iadsDebug.addedEWRadar = false
--iadsDebug.hasNoPower = false
--iadsDebug.harmDefence = true
--iadsDebug.samSiteStatusEnvOutput = true
--iadsDebug.earlyWarningRadarStatusEnvOutput = true
---end remove debug ---

--add a Cyprus command center powertations:
CyprusIADS:addCommandCenter(commandCenter_Cyprus_Central):addPowerSource(powerSource_Power_Station_1,powerSource_Power_Station_2,powerSource_Power_Station_3,powerSource_Power_Station_4)

--add SAMs to Cyprus IADS
CyprusIADS:addSAMSitesByPrefix('CyprusSAM')

--add EWs to Cyprus IADS
CyprusIADS:addEarlyWarningRadarsByPrefix('CyprusEW')

--Modify Cyprus SA-2
CyprusIADS:getSAMSiteByGroupName('CyprusSAM_SA-2-1'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70):addConnectionNode(connectionNode_C):addPowerSource(powerSource_Power_Station_1,powerSource_Power_Station_2,powerSource_Power_Station_3,powerSource_Power_Station_4)
CyprusIADS:getSAMSiteByGroupName('CyprusSAM_SA-2-3'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70):addConnectionNode(connectionNode_E):addPowerSource(powerSource_Power_Station_8)

--Modify Cyprus SA-3
CyprusIADS:getSAMSiteByGroupName('CyprusSAM_SA-3-1'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70):addConnectionNode(connectionNode_S):addPowerSource(powerSource_Power_Station_7)
CyprusIADS:getSAMSiteByGroupName('CyprusSAM_SA-3-2'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70):addConnectionNode(connectionNode_W):addPowerSource(powerSource_Power_Station_5,powerSource_Power_Station_6)
CyprusIADS:getSAMSiteByGroupName('CyprusSAM_SA-3-3'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70):addConnectionNode(connectionNode_S):addPowerSource(powerSource_Power_Station_7)

--Modify Cyprus SA-5
local sa5_defense = CyprusIADS:getSAMSiteByGroupName('CyprusSAM_SA-15-6')
CyprusIADS:getSAMSiteByGroupName('CyprusSAM_SA-5-1'):setActAsEW(true):addPointDefence(sa5_defense):setHARMDetectionChance(80):setIgnoreHARMSWhilePointDefencesHaveAmmo(true):addConnectionNode(connectionNode_C):addPowerSource(powerSource_Power_Station_1,powerSource_Power_Station_2,powerSource_Power_Station_3,powerSource_Power_Station_4)

--Modify Cyprus SA-11
CyprusIADS:getSAMSiteByGroupName('CyprusSAM_SA-11-1'):setActAsEW(true):setHARMDetectionChance(80):setGoLiveRangeInPercent(70):addConnectionNode(connectionNode_E)
CyprusIADS:getSAMSiteByGroupName('CyprusSAM_SA-11-2'):setActAsEW(true):setHARMDetectionChance(80):setGoLiveRangeInPercent(70):addConnectionNode(connectionNode_C)
CyprusIADS:getSAMSiteByGroupName('CyprusSAM_SA-11-3'):setActAsEW(true):setHARMDetectionChance(80):setGoLiveRangeInPercent(70):addConnectionNode(connectionNode_W)

--Modify Cyprus NASAMS
CyprusIADS:getSAMSiteByGroupName('CyprusSAM_NASAMS Batt-1'):setHARMDetectionChance(80):setGoLiveRangeInPercent(70)--:addConnectionNode(connectionNode_E)
CyprusIADS:getSAMSiteByGroupName('CyprusSAM_NASAMS Batt-2'):setHARMDetectionChance(80):setGoLiveRangeInPercent(70)--:addConnectionNode(connectionNode_E)
CyprusIADS:getSAMSiteByGroupName('CyprusSAM_NASAMS Batt-3'):setHARMDetectionChance(80):setGoLiveRangeInPercent(70)--:addConnectionNode(connectionNode_E)
CyprusIADS:getSAMSiteByGroupName('CyprusSAM_NASAMS Batt-4'):setHARMDetectionChance(80):setGoLiveRangeInPercent(70)--:addConnectionNode(connectionNode_E)


--add a power source and a connection node for EW West:
CyprusIADS:getEarlyWarningRadarByUnitName('CyprusEW_West'):addPowerSource(powerSource_Power_Station_5,powerSource_Power_Station_6):addConnectionNode(connectionNode_W)

--add a power source and a connection node for EW Ercan:
CyprusIADS:getEarlyWarningRadarByUnitName('CyprusEW_Ercan'):addPowerSource(powerSource_Power_Station_1,powerSource_Power_Station_2,powerSource_Power_Station_3):addConnectionNode(connectionNode_C)

--add a power source and a connection node for EW Lima:
CyprusIADS:getEarlyWarningRadarByUnitName('CyprusEW_Lima'):addPowerSource(powerSource_Power_Station_7):addConnectionNode(connectionNode_S)

--add a power source and a connection node for EW Pen:
CyprusIADS:getEarlyWarningRadarByUnitName('CyprusEW_Pen'):addConnectionNode(connectionNode_C)

--add a power source and a connection node for EW East:
CyprusIADS:getEarlyWarningRadarByUnitName('CyprusEW_East'):addPowerSource(powerSource_Power_Station_8):addConnectionNode(connectionNode_E)

--add a power source and a connection node for Hill S:
CyprusIADS:getEarlyWarningRadarByUnitName('CyprusEW_Hill_S'):addPowerSource(powerSource_Power_Station_1,powerSource_Power_Station_2,powerSource_Power_Station_8):addConnectionNode(connectionNode_S)

--add a power source and a connection node for Hill N:
CyprusIADS:getEarlyWarningRadarByUnitName('CyprusEW_Hill_N'):addPowerSource(powerSource_Power_Station_4,powerSource_Power_Station_3):addConnectionNode(connectionNode_C)

--activate the radio menu to toggle IADS Status output
CyprusIADS:addRadioMenu()




--create an instance of the IADS
SyriaIADS= SkynetIADS:create('Syria IADS')


--Command Centers
commandCenter_Syria_Central = StaticObject.getByName("Syria Central C2")


--PD Forces
--SA_10B_PD= SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-19')

--debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
--local iadsDebug = redIADS:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.samWentDark = true
--iadsDebug.contacts = true
--iadsDebug.radarWentLive = true
--iadsDebug.noWorkingCommmandCenter = false
--iadsDebug.ewRadarNoConnection = false
--iadsDebug.samNoConnection = false
--iadsDebug.jammerProbability = true
--iadsDebug.addedEWRadar = false
--iadsDebug.hasNoPower = false
--iadsDebug.harmDefence = true
--iadsDebug.samSiteStatusEnvOutput = true
--iadsDebug.earlyWarningRadarStatusEnvOutput = true
---end remove debug ---

--add a Syria command center powertations:
SyriaIADS:addCommandCenter(commandCenter_Syria_Central)

--add SAMs to Syria IADS
SyriaIADS:addSAMSitesByPrefix('SyriaSAM')

--add EWs to Syria IADS
SyriaIADS:addEarlyWarningRadarsByPrefix('SyriaEW')

--Modify Syria SA-2
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-2-1'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-2-2'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-2-3'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-2-4'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-2-5'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)

--Modify Syria SA-3
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-3-1'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-3-2'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-3-3'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-3-4'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-3-5'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-3-6'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-3-7'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-3-8'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-3-9'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-3-10'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-3-11'):setHARMDetectionChance(50):setGoLiveRangeInPercent(70)
 
--Modify Syria SA-5
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-5-1'):setActAsEW(true):setHARMDetectionChance(80)
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-5-2'):setActAsEW(true):setHARMDetectionChance(80)

--Modify Syria SA-10
local sa10_defense = SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-19')
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-10B'):setActAsEW(true):setHARMDetectionChance(100):setGoLiveRangeInPercent(80):addPointDefence(sa10_defense):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

--Modify Syria SA-17
SyriaIADS:getSAMSiteByGroupName('SyriaSAM_SA-17_1'):setActAsEW(true):setHARMDetectionChance(80):setGoLiveRangeInPercent(70)


--add AWACS1 to Syria IADS
SyriaIADS:addEarlyWarningRadar('SyriaAWACS_1')

--activate the radio menu to toggle IADS Status output
SyriaIADS:addRadioMenu()

--activate the IADS
CyprusIADS:setupSAMSitesAndThenActivate()
SyriaIADS:setupSAMSitesAndThenActivate()



end